# Generated from setfu-3.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name setfu

Name: rubygem-%{gem_name}
Version: 3.1.0
Release: 1%{?dist}
Summary: Set class
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.3.0
# BuildRequires: rubygem(byebug) >= 5.0
# BuildRequires: rubygem(byebug) < 6
# BuildRequires: rubygem(byebug) >= 5.0.0
BuildArch: noarch

%description
Creates a Set class with methods that allow you to construct and opperate on
set instances. A 'Bignum' instance is used internally to store each element
of the set. This allows very fast operations when comparing two set instances.
Member elements can be represented as positive small integers, or characters.
Sets can be constructed with integers, strings, characters, ranges, and
arrays.
When characters are used, the ordinate value sets the element bit of the
internal Bignum.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/setfu.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 3.1.0-1
- Initial package
